<?php
    $arr_hakim = explode(',', $data_majelis['0']['majelis_hakim_id']);
    if (count($arr_hakim)>1){
	$model_hakim = 'majelis';
    }else{
	$model_hakim = 'tunggal';
    };
    $majelis_sebelumnya = array();
    $tanggal_sebelumnya ='';
    if (count($data_majelis_detail)<>0){						    
	foreach ($data_majelis_detail as $row=>$val){
	    if ($val['aktif']=='Y'){
		if ($tanggal_sebelumnya===$val['tanggal_penetapan'] || $tanggal_sebelumnya===''){
		    $majelis_sebelumnya[]=$val['hakim_id'];    
		}else{
		    break;
		}
	    }
	}
    }else{
	$majelis_sebelumnya[]=$val['hakim_id'];
    }
?>
<div class="centering" style="width:600px;margin-top: 1%;z-index:-100">
	<div id='majelis_hakim' style="border: 1px solid #ffffff;">
    	<div class="detil" style="padding: 2px;background-color: white;">
            <div style="font-size:14px;">
                <form id="frm_majelis" class="removeformbottomspace" method="post" action="<?php echo base_url().'addMajelis_c/f_validate_input_penunjukan';?>">
                    <table id='tableDetilPerkara' style="font-size:14px;">
						<col width="45%">
						<col width="55%">
						<tbody>
						<tr>
							<td style="padding:4px;background:white;font-size:16px;color:#111;" align="center" colspan="2"><strong><?php echo $namahalaman; ?></strong></td>
						</tr>
						<tr>
							<td id="first-child">Nomor Perkara</td>
							<td>
						    	<?php print_r($perkara['0']['nomor_perkara']); ?>
						    	<input type="hidden" name='enc' value='<?php echo $enc;?>'>
							</td>
						</tr>
						<tr>
							<?php
					    	if (intval($perkara['0']['alur_perkara_id'])>100){
					    		echo "<td id='first-child'>Tanggal Pelimpahan</td>";
					    	}else{
								echo "<td id='first-child'>Tanggal Pendaftaran</td>";
					    	}
							?>
							<td>
						    <?php echo $this->tanggalhelper->convertDayDate($tanggal_pelimpahan->tanggal_pendaftaran); ?>
							</td>
						</tr>
				    	<tr>
					    	<td colspan="2" class="divider">Penetapan Majelis Hakim Sebelumnya</td>
					    </tr>
					    <?php if($this->session->userdata('jenis_pengadilan')==3){ ?>
                        <tr>
                        	<td id="first-child">Jenis Acara</td>
                            <td>                                												                       		                        
                           		<?php                                    		
                                	$jenis_acara='';                                        	
                                    if (count($data_majelis)<>0){	
										foreach ($data_majelis as $row=>$val){													
												$jenis_acara = $val['jenis_acara'];
												break;													
										}
									}
									if($jenis_acara==1){
										$acara='Acara Cepat';
									}elseif($jenis_acara==2){
										$acara='Acara Biasa';
									}
									echo $acara;
								?>
															
                            </td>
                        </tr>
                        <?php } ?>
					    <tr>
						    <td id="first-child">Tanggal Penetapan Majelis Hakim</td>
						    <td>
							<?php
							    if (count($data_majelis_detail)<>0){						    
									foreach ($data_majelis_detail as $row=>$val){
									    if ($val['aktif']=='Y'){
											echo $this->tanggalhelper->convertDayDate($val['tanggal_penetapan']);									
											break;
									    }
									}
							    }else{
									echo $this->tanggalhelper->convertDayDate($data_majelis_detail['0']['tanggal_penetapan']);
							    }
							?>
						    </td>
					    </tr>
					    <tr>					    
						    <td id="first-child">Majelis Hakim</td>
						    <td>
								<?php echo $data_majelis['0']['majelis_hakim_text']; ?>
						    </td>
					    </tr>
					    <tr>
						    <td colspan="2" class="divider">Penetapan Majelis Hakim Baru</td>
					    </tr>
					    <?php if($this->session->userdata('jenis_pengadilan')==3){ ?>
                        <tr>
                        	<td id="first-child">Jenis Acara</td>
                            <td>                                													                       
                                <span class="custom-dropdown custom-dropdown--emerald">
		                            <select style='width:130px;'  name="jenis_acara" id="jenis_acara"  class="custom-dropdown__select custom-dropdown__select--white">                                
		                                <option value=''>Pilih Jenis Acara</option>			                                
		                                <option value='1'>Acara Cepat</option>
		                                <option value='2'>Acara Biasa</option>
		                            </select>
		                        </span>			                                                       		
                            </td>
                        </tr>
                        <?php } ?>
						<tr>
							<td id="first-child">Tanggal Penetapan Kembali Majelis Hakim <font color="red">*</font></td>
							<td><input id="tgl_penetapan_majelis" name="tgl_penetapan_majelis" value="" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun"></td>
						</tr>
						<tr class="row_majelis">
							<td id="first-child">Majelis Hakim/Hakim  <font color="red">*</font></td>
							<td>
								<?php if($this->session->userdata('jenis_pengadilan')==3){ ?>
								<label id="l_majelis">
                        			<?php 
                        				if ($model_hakim=='tunggal'){
                        					echo 'Hakim Tunggal';
                        				}else{
                        					echo 'Majelis Hakim';
                        				}
                        			?>
                            	</label>
                            	<?php } ?>
								<span id="span_majelis" class="custom-dropdown custom-dropdown--emerald" style="width:130px">
								<?php $options=array('tunggal'=> 'Hakim Tunggal', 'majelis' => 'Majelis Hakim');
								$js = 'id="model_hakim" name="model_hakim" class="dropdown custom-dropdown__select custom-dropdown__select--white" style="width:130px"';
								echo form_dropdown('pilihan_majelis', $options, $model_hakim, $js); ?>
								</span>
							</td>
						</tr>
						<tr class="tunggal">
							<td id="first-child">Hakim Tunggal <font color="red">*</font></td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_tunggal" class="custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(0, $majelis_sebelumnya)){
							    	echo form_dropdown('hakim_tunggal', $data_hakim, $majelis_sebelumnya[0], $js); 
							    }else{
							    	echo form_dropdown('hakim_tunggal', $data_hakim, '', $js); 
							    }
								?>
								</span>
						    </td>
						</tr>
					    <tr class="majelis">
							<td id="first-child">Hakim Ketua <font color="red">*</font></td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_ketua" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(0, $majelis_sebelumnya)){
									echo form_dropdown('hakim_ketua', $data_hakim, $majelis_sebelumnya[0], $js);
							    }else{
									echo form_dropdown('hakim_ketua', $data_hakim, '', $js);
							    };
								?>
								</span>
						    </td>
						</tr>
					    <tr class="majelis">
							<td id="first-child">Hakim Anggota 1 <font color="red">*</font></td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_anggota1" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(1, $majelis_sebelumnya)){
									echo form_dropdown('hakim_anggota1', $data_hakim, $majelis_sebelumnya[1], $js);
							    }else{
							    	echo form_dropdown('hakim_anggota1', $data_hakim, '', $js);
							    }
								?>
								</span>
						    </td>
						</tr>
					    <tr class="majelis">
							<td id="first-child">Hakim Anggota 2 <font color="red">*</font></td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_anggota2" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(2, $majelis_sebelumnya)){
									echo form_dropdown('hakim_anggota2', $data_hakim, $majelis_sebelumnya[2], $js);
							    }else{
							    	echo form_dropdown('hakim_anggota2', $data_hakim, '', $js);
							    }
								?>
								</span>
						    </td>
						</tr>
					<?php
					if($this->session->userdata('jenis_pengadilan')!=2){
					?>	
					    <tr class="majelis">
							<td id="first-child">Hakim Anggota 3</td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_anggota3" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(3, $majelis_sebelumnya)){
									echo form_dropdown('hakim_anggota3', $data_hakim, $majelis_sebelumnya[3], $js);
							    }else{
							    	echo form_dropdown('hakim_anggota3', $data_hakim, '', $js);
							    }
								?>
								</span>
						    </td>
						</tr>
					    <tr class="majelis">
							<td id="first-child">Hakim Anggota 4</td>
							<td>
								<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
								<?php
							    $js = 'id="hakim_anggota4" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    if (array_key_exists(4, $majelis_sebelumnya)){
									echo form_dropdown('hakim_anggota4', $data_hakim, $majelis_sebelumnya[4], $js);
							    }else{
							    	echo form_dropdown('hakim_anggota4', $data_hakim, '', $js);
							    }
								?>
								</span>
						    </td>
						</tr>
					<?php
						}
					?>
						<tr>
							<td id="first-child">Alasan Penggantian Majelis</td>
							<td>
								<?php
							    $js="{datatype: 'text', maxLength: 500, allowedChars: '', lettersCase: '', enterTab: false, enterSubmit: false, autoTab: true, selectOnFocus: true, watermark: '', watermarkClass: 'scFormObjectOddWm', maskChars: '(){}[].,;:-+/ '}
								cols='100' rows='2' id='keterangan' name='keterangan' style='font-size:12px;width: 100%; height: 50px; resize: none;' maxlength='500'";
							    echo form_textarea('keterangan', '', $js); ?>
						    </td>
						</tr>
						<tr>
							<td colspan="2" class="buttongroup">
							<input type="button" id='close_form_add_majelis' value="Kembali" class="btn">
							<input type="hidden" id="curr_date" value="<?php echo $current_date;?>">
							<input type="hidden" id="namahalaman" name="namahalaman" value="<?php echo $namahalaman; ?>">
							<input type="submit" id="simpan" value="Simpan" class="btn">
							</td>
						</tr>
							<input type="hidden" id="refresh" class='detil_perkara_refresh' value="0">
						</tbody>
					</table>
                </form>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$('.nama_hakim').change(function(){
	if ($(this).val()!='0'){
		switch($(this).attr('id')) {
			case 'hakim_ketua':
				if ($(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					alert('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota1':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					alert('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota2':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					alert('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota3':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota4').val()) {
					alert('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota4':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota1').val()) {
					alert('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
		}
	}
});
$('#frm_majelis').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_form_add_majelis',
	whenStatus:1,
	next_step:1
});
<?php 
if($this->session->userdata('jenis_pengadilan')==1){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil/'.$enc.'/2');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==2){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_mil/'.$enc.'/2');?>","_self");    
    });    
<?php
}else if($this->session->userdata('jenis_pengadilan')==3){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_tun/'.$enc.'/2');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==4){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_agama/'.$enc.'/2');?>","_self");    
    });        
<?php
}else{
?>
    $('#close_form_add_majelis').closingFormWin();
<?php
}
?> 
    <?php
	if ($model_hakim=='tunggal'){
	    echo "$('.tunggal').show();";
	    echo "$('.majelis').hide();";
	}else{
	    echo "$('.tunggal').hide();";
	    echo "$('.majelis').show();";
	}
    ?>
    $('#model_hakim').change(function(){
	if ($('#model_hakim').val()=='tunggal') {
	    $('.tunggal').show();
	    $('.majelis').hide();
	}else{
	    $('.tunggal').hide();
	    $('.majelis').show();
	}
    });
    <?php if($this->session->userdata('jenis_pengadilan')==3){ ?>		
 		$('#span_majelis').hide(); 			
	 	$('#jenis_acara').change(function(){
			if ($('#jenis_acara').val()==1) {
			    $('.tunggal').show();
			    $('.majelis').hide();
			    $('#model_hakim').val('tunggal');			    
			    $('#l_majelis').text('Hakim Tunggal');
			}else{
			    $('.tunggal').hide();
			    $('.majelis').show();
			    $('#model_hakim').val('majelis');
			   	$('#l_majelis').text('Majelis Hakim');
			}			
	 	});
	<?php } ?>
    $('#tgl_penetapan_majelis').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
		    	
		    	var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					error = 1
				}

				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
      	});
    var selection = '<?php echo $idalurperkara;?>'
    if (selection=='8') {
    	$("tr.row_majelis").hide();
	}
$('.datepicker').ValidateDateInput();
</script>